#ifndef __LEXER_H
#define __LEXER_H

#include "utils/buffer.h"
#include "utils/vector.h"

struct lexer
{
	struct vector tokens;
	struct buffer *source;

	unsigned int start, cur, line;
};

struct lexer lexer_create ();
void lexer_set_source (struct buffer *b, struct lexer *l);
void lexer_lex (struct lexer *l);
void lexer_print (struct lexer *l);
void lexer_free (struct lexer *lexer);

#endif
