#ifndef __VECTOR_H
#define __VECTOR_H

#include <stddef.h>

#define VECTOR_INIT_CAPACITY 20

struct vector
{
	size_t length;
	size_t capacity;
	void **elements;
};

struct vector vector_create ();
_Bool vector_push_back (void *elm, struct vector *v);
void *vector_at (size_t i, struct vector *v);
void vector_free (struct vector *v);

#endif
